-
  In order to test hr_contract module in OpenERP, I will create a new employee and create contract for the same.

-
  I create a new employee "Mark Johnson".
-
  !record {model: hr.employee, id: hr_employee_employee0}:
    address_home_id: base.res_partner_address_1
    company_id: base.main_company
    gender: male
    name: Mark Johnson
    children: 2
    marital: 'married'
    place_of_birth: Belgium
    vehicle: 'No'
    vehicle_distance: 12

-
  I create a new contract for "Mark Johnson".
-
  !record {model: hr.contract, id: hr_contract_contract0}:
    employee_id: 'hr_employee_employee0'
    date_end: !eval "'%s-05-18' %(datetime.now().year+1)"
    date_start: !eval "'%s-05-18' %(datetime.now().year)"
    trial_date_end: !eval "'%s-03-01' %(datetime.now().year)"
    trial_date_start: !eval "'%s-04-30' %(datetime.now().year)"
    name: contract1
    wage: 1.0
    type_id: hr_contract_type_emp
    working_hours: resource.timesheet_group1
